1. 16 Apr, 2004 2 commits
    • Johan Dahlin's avatar
      configure.ac (PYGTK_CODEGEN): Use built in code generator again and don't... · 90579783
      Johan Dahlin authored
      configure.ac (PYGTK_CODEGEN): Use built in code generator again and don't require 2.3.91, 2.0.0 should do fine (FC1 o...
      
      Original commit message from CVS:
      * configure.ac (PYGTK_CODEGEN): Use built in code generator again
      and don't require 2.3.91, 2.0.0 should do fine (FC1 ok, RH9 isn't)
      
      * TODO: Update
      
      * gst/interfaces.override, gst/play.override: Add typedef for
      python < 2.3
      
      * codegen/codegen.py: Readd :/
      90579783
    • Johan Dahlin's avatar
      gst/gst.override (_wrap_gst_element_tp_new): New, just pointing to _wrap_gst_element_factory_make · 9e404971
      Johan Dahlin authored
      Original commit message from CVS:
      * gst/gst.override (_wrap_gst_element_tp_new): New, just pointing
      to _wrap_gst_element_factory_make
      (_wrap_gst_element_tp_new): Stub, return 1  so tp_new can be used.
      
      * gst/gst.defs (element_factory_make): Remove is-constructor-of
      GstElement.
      
      * codegen/: Remove and use the codegen from pygtk instead
      
      * configure.ac (ACLOCAL): Require 2.3.91 of PyGTK
      9e404971
  2. 05 Mar, 2004 1 commit